Commit f36e79cf authored by Tobias Hunger's avatar Tobias Hunger
Browse files

QtQuick*Wizards: Do never show an empty version dropdown



Always list all minimum Qt version options and pick the lowest by
default.

The wizard will be listed with no platform set and needs to do
something then. Before it did show an empty combobox and behaved
oddly from that point on when no kit with a Qt >= 5.3 was found.

Now it lists all possible versions and offers to set up kits for
you via the kits page when no matching kit is available.

Change-Id: I978268a2b8f1dfcfc8640460d905652abe91f1ae
Reviewed-by: default avatarChristian Stenger <christian.stenger@theqtcompany.com>
parent fc7ce7f0
......@@ -7,8 +7,8 @@
"trDisplayName": "Qt Quick Application",
"trDisplayCategory": "Application",
"icon": "qml_wizard.png",
"featuresRequired": [ "QtSupport.Wizards.FeatureQt", "QtSupport.Wizards.FeatureQtQuick.2" ],
"enabled": "${JS: [ %{Plugins} ].indexOf('QmakeProjectManager') >= 0 && [ %{Features} ].indexOf('QtSupport.Wizards.FeatureQt5.3') >= 0}",
"featuresRequired": [ "QtSupport.Wizards.FeatureQt.5.3" ],
"enabled": "%{JS: [ %{Plugins} ].indexOf('QmakeProjectManager') >= 0 }",
"options":
[
......@@ -38,6 +38,7 @@
"type": "ComboBox",
"data":
{
"index": 2,
"items":
[
{
......@@ -46,8 +47,7 @@
"{
'qtQuickVersion': '2.5',
'qtQuickWindowVersion': '2.2'
}",
"condition": "%{JS: [ %{Features} ].indexOf('QtSupport.Wizards.FeatureQt5.5') >= 0}"
}"
},
{
"trKey": "Qt 5.4",
......@@ -55,8 +55,7 @@
"{
'qtQuickVersion': '2.4',
'qtQuickWindowVersion': '2.2'
}",
"condition": "%{JS: [ %{Features} ].indexOf('QtSupport.Wizards.FeatureQt5.4') >= 0}"
}"
},
{
"trKey": "Qt 5.3",
......@@ -64,8 +63,7 @@
"{
'qtQuickVersion': '2.3',
'qtQuickWindowVersion': '2.2'
}",
"condition": "%{JS: [ %{Features} ].indexOf('QtSupport.Wizards.FeatureQt5.3') >= 0}"
}"
}
]
}
......
......@@ -7,8 +7,8 @@
"trDisplayName": "Qt Quick Controls Application",
"trDisplayCategory": "Application",
"icon": "../qtquickapplication/qml_wizard.png",
"featuresRequired": [ "QtSupport.Wizards.FeatureQt" ],
"enabled": "%{JS: [ %{Plugins} ].indexOf('QmakeProjectManager') >= 0 && [ %{Features} ].indexOf('QtSupport.Wizards.FeatureQt5.3') >= 0 }",
"featuresRequired": [ "QtSupport.Wizards.FeatureQt.5.3" ],
"enabled": "%{JS: [ %{Plugins} ].indexOf('QmakeProjectManager') >= 0}",
"options":
[
......@@ -40,6 +40,7 @@
"type": "ComboBox",
"data":
{
"index": 2,
"items":
[
{
......@@ -50,8 +51,7 @@
'qtQuickControlsVersion': '1.4',
'qtQuickDialogsVersion': '1.2',
'qtQuickLayoutsVersion': '1.2'
}",
"condition": "%{JS: [ %{Features} ].indexOf('QtSupport.Wizards.FeatureQt5.5') >= 0}"
}"
},
{
"trKey": "Qt 5.4",
......@@ -61,8 +61,7 @@
'qtQuickControlsVersion': '1.3',
'qtQuickDialogsVersion': '1.2',
'qtQuickLayoutsVersion': '1.1'
}",
"condition": "%{JS: [ %{Features} ].indexOf('QtSupport.Wizards.FeatureQt5.4') >= 0}"
}"
},
{
"trKey": "Qt 5.3",
......@@ -72,8 +71,7 @@
'qtQuickControlsVersion': '1.2',
'qtQuickDialogsVersion': '1.2',
'qtQuickLayoutsVersion': '1.1'
}",
"condition": "%{JS: [ %{Features} ].indexOf('QtSupport.Wizards.FeatureQt5.3') >= 0}"
}"
}
]
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment